Bug 1325469 (plasma-discover) - Review Request: plasma-discover - KDE and Plasma resources management GUI
Summary: Review Request: plasma-discover - KDE and Plasma resources management GUI
Keywords:
Status: CLOSED ERRATA
Alias: plasma-discover
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2016-04-09 00:51 UTC by Rex Dieter
Modified: 2016-04-19 20:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-19 20:31:46 UTC
nonamedotc: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2016-04-09 00:51:27 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-discover.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-discover-5.6.1-1.fc24.src.rpm
Description: KDE and Plasma resources management GUI
Fedora Account System Username: rdieter

renamed/rebranded muon/muon-discover => plasma-discover

Comment 1 Marc Deop 2016-04-09 09:17:07 UTC
Not doing an official review but:
- License in COPYING file says it's GPLv3
- Any reason to keep this part:
# hack to avoid unused-direct-shlib-dependency rpmlint warnings
#export LDFLAGS="-Wl,--as-needed %{?__global_ldflags}"
?

- Not sure if there is a reason for this but:
# disable update notifier applet by default
sed -i \
  -e 's|X-KDE-PluginInfo-EnabledByDefault=.*|X-KDE-PluginInfo-EnabledByDefault=false|g' \
  notifier/plasmoid/metadata.desktop

Why changing the default from upstream?

Comment 2 Rex Dieter 2016-04-09 12:43:00 UTC
As far as license is concerned, of primary importance is the license included in the source code, which is actually a combination of:
LGPLv2+, GPLv2+, and GPLv2 or GPLv3, so I'll update to
License: GPLv2 or GPLv3

no reason to keep commented/unused stuff

For disabling the updater applet, we do that because fedora/kde installs and uses plasma-pk-updater by default... and it would be... weird to have 2 updater applets running at the same time.  So, this makes it so users will have to opt-in and manually enable it. 

Spec URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-discover.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/plasma5/plasma-discover-5.6.1-2.fc24.src.rpm

%changelog
* Sat Apr 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-2
- License: GPLv2 or GPLv3 (KDE e.V)
- remove some commented/unused items from .spec
- expand comment why updater applet is disabled by default

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13605229

Comment 3 Mukundan Ragavan 2016-04-12 01:50:22 UTC
taken for review.

Comment 4 Neal Gompa 2016-04-12 12:30:54 UTC
Rex:

Please guard out the appropriate scriptlets so that they do not run on F24+ where file triggers are in use. The list file triggers[1] and the FPC ticket for them[2] describe it in more detail.

[1]: https://lists.fedoraproject.org/pipermail/desktop/2015-August/012685.html
[2]: https://fedorahosted.org/fpc/ticket/566

Comment 5 Rex Dieter 2016-04-12 13:41:44 UTC
Sure we can... but... are those documented in packaging guidelines anywhere ... yet?

If not, I'd ask any potential reviewer to please focus only on documented review blockers for now.

Comment 6 Mukundan Ragavan 2016-04-12 13:43:20 UTC
That's my plan ... with an eye out "for the future".

Comment 7 Jason Tibbitts 2016-04-12 19:14:13 UTC
Given the annoyance of a certain RPM bug, we aren't sure it's safe to rely on triggers in all cases so FPC hasn't documented them.  We will once we know exactly which cases can be relied upon.

https://bugzilla.redhat.com/show_bug.cgi?id=1284645

Comment 8 Mukundan Ragavan 2016-04-12 23:51:46 UTC
I am running fedora-review as we speak, but looking at the spec file, it looks like update-desktop-database is missing under %post ..

Detailed review to follow.

Comment 9 Rex Dieter 2016-04-13 00:21:56 UTC
It's in %posttrans

Comment 10 Mukundan Ragavan 2016-04-13 00:46:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> This is a local issue. Can be ignored.

- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in plasma-discover
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database

---> Ah! The same thing I complained about! It's in posttrans. This is fine.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "GPL (v2 or v3)", "LGPL (v2.1)",
     "Unknown or generated". 30 files have unknown license. Detailed output
     of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-
     discover/licensecheck.txt

---> LGPL is missing from the license field. licensecheck.txt shows - 

LGPL (v2.1 or later)
--------------------
discover-5.6.1/libdiscover/backends/ApplicationBackend/qoauth/src/interface.cpp
discover-5.6.1/libdiscover/backends/ApplicationBackend/qoauth/src/interface.h
discover-5.6.1/libdiscover/backends/ApplicationBackend/qoauth/src/interface_p.h
discover-5.6.1/libdiscover/backends/ApplicationBackend/qoauth/src/qoauth_global.h
discover-5.6.1/libdiscover/backends/ApplicationBackend/qoauth/src/qoauth_namespace.h

LGPL (v2.1)
-----------
discover-5.6.1/libdiscover/backends/ApplicationBackend/tests/modeltest.cpp
discover-5.6.1/libdiscover/backends/ApplicationBackend/tests/modeltest.h

There are several other files under "unknown or generated". 

discover-5.6.1/COPYING
discover-5.6.1/Messages.sh
discover-5.6.1/TODO
discover-5.6.1/discover/IconColors.cpp
discover-5.6.1/discover/IconColors.h
discover-5.6.1/discover/MuonDiscoverMainWindow.cpp
discover-5.6.1/discover/MuonDiscoverMainWindow.h
discover-5.6.1/discover/PaginateModel.cpp
discover-5.6.1/discover/PaginateModel.h
discover-5.6.1/discover/SystemFonts.cpp
discover-5.6.1/discover/SystemFonts.h
discover-5.6.1/discover/autotests/IconColorsTest.cpp
discover-5.6.1/discover/main.cpp
discover-5.6.1/discover/qml/navigation.js
discover-5.6.1/exporter/MuonExporter.cpp
discover-5.6.1/exporter/MuonExporter.h
discover-5.6.1/exporter/main.cpp
discover-5.6.1/libdiscover/backends/ApplicationBackend/libmuonapt/AddRepositoryHelper.cpp
discover-5.6.1/libdiscover/backends/ApplicationBackend/libmuonapt/AddRepositoryHelper.h
discover-5.6.1/libdiscover/declarative/ApplicationProxyModelHelper.cpp
discover-5.6.1/libdiscover/declarative/ApplicationProxyModelHelper.h
discover-5.6.1/libdiscover/declarative/DiscoverDeclarativePlugin.cpp
discover-5.6.1/libdiscover/declarative/DiscoverDeclarativePlugin.h
discover-5.6.1/libdiscover/declarative/qmldir
discover-5.6.1/libdiscover/resources/StandardBackendUpdater.cpp
discover-5.6.1/libdiscover/resources/StandardBackendUpdater.h
discover-5.6.1/notifier/DiscoverNotifierDeclarativePlugin.cpp
discover-5.6.1/notifier/DiscoverNotifierDeclarativePlugin.h
discover-5.6.1/notifier/plasmoid/Messages.sh
discover-5.6.1/notifier/qmldir


Spot check shows that several of these files (did not check each file) carry license headers - LGPL


[x]: License file installed when any subpackage combination is installed.


---> Looks fine. license file is installed when %{name}-libs package is installed which is required by the mail package.

[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.

---> LGPL is missing.

[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/qt5/qml/org/kde

---> qt5-qtbase owns this.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/plasma/plasmoids,
     /usr/share/icons/hicolor/22x22, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/22x22/apps,
     /usr/share/icons/hicolor/32x32/apps, /usr/lib64/qt5/qml/org,
     /usr/share/icons/hicolor/16x16/apps, /usr/share/icons/hicolor/16x16,
     /usr/share/icons/hicolor/128x128/apps, /usr/share/plasma,
     /usr/share/icons/hicolor/128x128,
     /usr/share/icons/hicolor/scalable/apps,
     /usr/share/icons/hicolor/48x48, /usr/share/icons/hicolor/32x32,
     /usr/share/icons/hicolor, /usr/share/kxmlgui5,
     /usr/share/icons/hicolor/scalable, /usr/lib64/qt5/qml/org/kde
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib64/qt5/qml/org/kde/discover(muon-libs),
     /usr/share/libdiscover/categories(muon-libs),
     /usr/share/plasma/plasmoids/org.kde.discovernotifier/contents/ui(muon-
     updater), /usr/lib64/qt5/qml/org/kde/discovernotifier(muon-libs),
     /usr/lib64/qt5/plugins/discover-notifier(muon-libs),
     /usr/share/libdiscover/backends(muon-libs),
     /usr/lib64/qt5/plugins/discover(muon-libs),
     /usr/share/plasma/plasmoids/org.kde.discovernotifier(muon-updater),
     /usr/share/libdiscover(muon-libs),
     /usr/share/plasma/plasmoids/org.kde.discovernotifier/contents(muon-
     updater)


---> This seems ok based on "dnf repoquery --provides --resolve {path}".

But, something worth taking a second look.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in plasma-discover
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.

---> Source incudes license text which is built correctly.

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in plasma-
     discover-libs , plasma-discover-updater , plasma-discover-debuginfo


---> This is fine.

plasma-discover requires plasma-discover-libs
plasma-discover-updater requires plasma-discover-libs

Both these have correct requires in the form - 

Requires: %{name}-libs%{?_isa} = %{version}-%{release}



[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---> This fine. Build completed fine and package can be installed. Local issue.

Changing to [x].

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2856960 bytes in /usr/share

---> This is fine. Files are in valid destinations.

[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.17 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.17
INFO: Mock Version: 1.2.17
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-libs-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-updater-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-debuginfo-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-debuginfo-5.6.1-2.fc25.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-libs-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-updater-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-debuginfo-5.6.1-2.fc25.x86_64.rpm /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1325469-plasma-discover/results/plasma-discover-debuginfo-5.6.1-2.fc25.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: plasma-discover-5.6.1-2.fc25.x86_64.rpm
          plasma-discover-libs-5.6.1-2.fc25.x86_64.rpm
          plasma-discover-updater-5.6.1-2.fc25.x86_64.rpm
          plasma-discover-debuginfo-5.6.1-2.fc25.x86_64.rpm
          plasma-discover-5.6.1-2.fc25.src.rpm
plasma-discover.x86_64: W: no-documentation
plasma-discover.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/plasmadiscover.svgz
plasma-discover.x86_64: W: no-manual-page-for-binary plasma-discover
plasma-discover-libs.x86_64: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
plasma-discover-libs.x86_64: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
plasma-discover-libs.x86_64: W: no-documentation
plasma-discover-updater.x86_64: W: obsolete-not-provided muon
plasma-discover-updater.x86_64: W: no-documentation
plasma-discover-updater.x86_64: W: no-manual-page-for-binary plasma-discover-updater
5 packages and 0 specfiles checked; 0 errors, 9 warnings.




Requires
--------
plasma-discover (rpmlib, GLIBC filtered):
    /bin/sh
    libDiscoverCommon.so()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5Declarative.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5Package.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Quick.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    plasma-discover-libs(x86-64)
    rtld(GNU_HASH)

plasma-discover-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    PackageKit
    libAppstreamQt.so.1()(64bit)
    libDiscoverCommon.so()(64bit)
    libDiscoverNotifiers.so()(64bit)
    libKF5Archive.so.5()(64bit)
    libKF5Attica.so.5()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5NewStuff.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Qml.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libQt5Xml.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libpackagekitqt5.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

plasma-discover-debuginfo (rpmlib, GLIBC filtered):

plasma-discover-updater (rpmlib, GLIBC filtered):
    libDiscoverCommon.so()(64bit)
    libKF5Auth.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5DBusAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    plasma-discover-libs(x86-64)
    rtld(GNU_HASH)



Provides
--------
plasma-discover:
    application()
    application(org.kde.discover.desktop)
    mimehandler(x-scheme-handler/appstream)
    muon
    muon-discover
    plasma-discover
    plasma-discover(x86-64)

plasma-discover-libs:
    libDiscoverCommon.so()(64bit)
    libDiscoverNotifierDeclarativePlugin.so()(64bit)
    libDiscoverNotifiers.so()(64bit)
    libdiscoverdeclarativeplugin.so()(64bit)
    muon-libs
    plasma-discover-libs
    plasma-discover-libs(x86-64)

plasma-discover-debuginfo:
    plasma-discover-debuginfo
    plasma-discover-debuginfo(x86-64)

plasma-discover-updater:
    application()
    application(plasma-discover-updater.desktop)
    muon-notifier
    muon-updater
    plasma-discover-updater
    plasma-discover-updater(x86-64)



Unversioned so-files
--------------------
plasma-discover-libs: /usr/lib64/plasma-discover/libDiscoverCommon.so
plasma-discover-libs: /usr/lib64/plasma-discover/libDiscoverNotifiers.so
plasma-discover-libs: /usr/lib64/qt5/plugins/discover-notifier/DiscoverPackageKitNotifier.so
plasma-discover-libs: /usr/lib64/qt5/plugins/discover/kns-backend.so
plasma-discover-libs: /usr/lib64/qt5/plugins/discover/packagekit-backend.so
plasma-discover-libs: /usr/lib64/qt5/qml/org/kde/discover/libdiscoverdeclarativeplugin.so
plasma-discover-libs: /usr/lib64/qt5/qml/org/kde/discovernotifier/libDiscoverNotifierDeclarativePlugin.so

Source checksums
----------------
http://download.kde.org/stable/plasma/5.6.1/discover-5.6.1.tar.xz :
  CHECKSUM(SHA256) this package     : d1a6715cd0498a713b803258eb0c50aa864e62cb9171db523a74ea89e16083bd
  CHECKSUM(SHA256) upstream package : d1a6715cd0498a713b803258eb0c50aa864e62cb9171db523a74ea89e16083bd


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1325469
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 11 Mukundan Ragavan 2016-04-13 00:47:23 UTC
Biggest issue is the license. Please fix that.


(In reply to Rex Dieter from comment #9)
> It's in %posttrans

yes indeed.

Comment 12 Rex Dieter 2016-04-13 01:21:07 UTC
I'm choosing to use the "effective" license of the combined code, opting not to list every possible license.

For example,  LGPL combined with GPL is effectively GPL.

See also:
https://fedoraproject.org/wiki/Licensing:FAQ?rd=Licensing/FAQ#What_is_.22effective_license.22_and_do_I_need_to_know_that_for_the_License:_tag.3F

Comment 13 Mukundan Ragavan 2016-04-13 01:55:55 UTC
(In reply to Rex Dieter from comment #12)
> I'm choosing to use the "effective" license of the combined code, opting not
> to list every possible license.
> 

Sure. That works as well. Package APPROVED.

Comment 14 Fedora Update System 2016-04-13 15:45:05 UTC
plasma-discover-5.6.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-000d305608

Comment 15 Fedora Update System 2016-04-15 08:38:25 UTC
plasma-discover-5.6.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-000d305608

Comment 16 Fedora Update System 2016-04-19 20:31:43 UTC
plasma-discover-5.6.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.